How to create a solid

Hi

I have a set of faces (TopoDS_Face). How can i crete a TopoDS_Solid with those faces ?

I try BRepOffsetAPI_Sewing aSewing; for( ...) { aSewing.Add( faces(i) ) }

but it core

Igor Feoktistov's picture

Hi

to create solig, first you should have a corresponding shell, then use BRepBuilderAPI_MakeSolid(...).

How to get shell from faces depends on your situation:

if your faces share the same edges (refer to the same TEdge), you can create empty shell and use BRepBuilder to add faces to shell;

if your faces have only geometry contact, you need to use sewing.

Best regards, Igor